2019-12-13 22:15 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0004607Spring engineBuildbotpublic2015-01-16 19:08
Reporterabma 
Assigned Toabma 
PriorityurgentSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0004607: buildbot force build seems to not work
Descriptionfixing is delayed until server migration is complete:

- force build seems to not work
Additional Informationwhy: i want to get rid of the virtual env, its not automaticly updated with security updates and buildbot is a network service.

also having programs installed in $HOME should be avoided if possible.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0013796

abma (administrator)

if someone is faster with fixing this, i would be happy. atm it seems i have to delay this past server migration.

~0013881

abma (administrator)

springlobby has a working config file:

https://github.com/springlobby/springlobby/blob/master/buildbot/master.cfg

maybe it helps to find the cause whats missing/wrong.

~0013882

abma (administrator)

" exceptions.TypeError: macro 'force_build' takes no keyword argument 'default_props' "

~0013926

Kloot (developer)

Last edited: 2015-01-16 17:00

View 2 revisions

*BUMP*

How should someone fix this without server access?

The error corresponds to https://github.com/spring/spring/blob/develop/buildbot/master/templates/forms.html#L108 and the keyword "default_props" does not occur in any file under https://github.com/spring/spring/tree/develop/buildbot/ (nor is it dynamically composed AFAICS), so this exists on the server only.

~0013927

abma (administrator)

ugh, thanks for the hint. i'll try to fix this weekend as i've a time!

maybe just removal of the template already fixed that. i didn't notice that such a template exists! :-|

~0013928

abma (administrator)

triggered a builds for LoadMap & LockFreeLua... will take some time until all of them are completed.

~0013929

abma (administrator)

> How should someone fix this without server access?

atm config buildbot master is restarted each night & doing a git pull... but yeah, doesn't work pretty well. sorry for the long time it took to fix & again thanks for the help!
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2014-11-03 02:12 abma New Issue
2014-11-03 02:12 abma Assigned To => abma
2014-11-03 02:12 abma Status new => assigned
2014-11-03 02:13 abma Note Added: 0013796
2014-11-03 02:13 abma Description Updated View Revisions
2015-01-02 17:20 abma Note Added: 0013881
2015-01-02 18:46 abma Note Added: 0013882
2015-01-02 22:10 abma Summary buildbot seems to not fully work after upgrade => buildbot force build seems to not work
2015-01-03 04:20 abma Target Version 99.0 =>
2015-01-11 20:56 abma Assigned To abma =>
2015-01-11 20:56 abma Priority normal => urgent
2015-01-11 20:56 abma Status assigned => new
2015-01-16 16:55 Kloot Note Added: 0013926
2015-01-16 17:00 Kloot Note Edited: 0013926 View Revisions
2015-01-16 17:07 abma Note Added: 0013927
2015-01-16 18:41 abma Changeset attached => spring develop 8b512690
2015-01-16 18:41 abma Assigned To => abma
2015-01-16 18:41 abma Status new => resolved
2015-01-16 18:41 abma Resolution open => fixed
2015-01-16 18:44 abma Note Added: 0013928
2015-01-16 19:08 abma Note Added: 0013929
+Issue History